From 41e8fbf642b095f6b5efda4d28f4dbf52577de82 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sun, 17 Nov 2024 07:24:35 +0000
Subject: [PATCH] swig: upgrade 4.2.1 -> 4.3.0

---
 meta/recipes-devtools/swig/swig/determinism.patch         | 8 ++++----
 .../swig/{swig_4.2.1.bb => swig_4.3.0.bb}                 | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)
 rename meta/recipes-devtools/swig/{swig_4.2.1.bb => swig_4.3.0.bb} (94%)

diff --git a/meta/recipes-devtools/swig/swig/determinism.patch b/meta/recipes-devtools/swig/swig/determinism.patch
index 9c49414ad7..4359281bbb 100644
--- a/meta/recipes-devtools/swig/swig/determinism.patch
+++ b/meta/recipes-devtools/swig/swig/determinism.patch
@@ -1,4 +1,4 @@
-From 28648b3873d83e26bd19b64ce2c0a41ced9292d3 Mon Sep 17 00:00:00 2001
+From 1cd6f0cc21fc977a710e8d30c3d2ebfee3c72dc0 Mon Sep 17 00:00:00 2001
 From: Richard Purdie <richard.purdie@linuxfoundation.org>
 Date: Mon, 1 Mar 2021 00:11:10 +0000
 Subject: [PATCH] swig: Fix reproducibility issue
@@ -13,12 +13,12 @@ RP 2021/3/1
  1 file changed, 1 deletion(-)
 
 diff --git a/Source/Modules/main.cxx b/Source/Modules/main.cxx
-index de0a512..ac9e825 100644
+index f68b609..0c2aba3 100644
 --- a/Source/Modules/main.cxx
 +++ b/Source/Modules/main.cxx
-@@ -638,7 +638,6 @@ static void getoptions(int argc, char *argv[]) {
+@@ -633,7 +633,6 @@ static void getoptions(int argc, char *argv[]) {
  	}
-       } else if (strcmp(argv[i], "-version") == 0) {
+       } else if (strcmp(argv[i], "-version") == 0 || strcmp(argv[1], "--version") == 0) {
  	fprintf(stdout, "\nSWIG Version %s\n", Swig_package_version());
 -	fprintf(stdout, "\nCompiled with %s [%s]\n", SWIG_CXX, SWIG_PLATFORM);
  	fprintf(stdout, "\nConfigured options: %cpcre\n",
diff --git a/meta/recipes-devtools/swig/swig_4.2.1.bb b/meta/recipes-devtools/swig/swig_4.3.0.bb
similarity index 94%
rename from meta/recipes-devtools/swig/swig_4.2.1.bb
rename to meta/recipes-devtools/swig/swig_4.3.0.bb
index b564be9b36..a31ca68444 100644
--- a/meta/recipes-devtools/swig/swig_4.2.1.bb
+++ b/meta/recipes-devtools/swig/swig_4.3.0.bb
@@ -15,7 +15,7 @@ DEPENDS = "libpcre2 bison-native"
 SRC_URI = "${SOURCEFORGE_MIRROR}/${BPN}/${BPN}-${PV}.tar.gz \
             file://determinism.patch \
            "
-SRC_URI[sha256sum] = "fa045354e2d048b2cddc69579e4256245d4676894858fcf0bab2290ecf59b7d8"
+SRC_URI[sha256sum] = "f7203ef796f61af986c70c05816236cbd0d31b7aa9631e5ab53020ab7804aa9e"
 UPSTREAM_CHECK_URI = "https://sourceforge.net/projects/swig/files/swig/"
 UPSTREAM_CHECK_REGEX = "swig-(?P<pver>\d+(\.\d+)+)"
 
-- 
2.44.1

